## org.codehaus.groovy.vmplugin.v4
Class Java4

java 4 based functions

author:
  Jochen Theodorou

Field Summary
`def` | `EMPTY_CLASS_ARRAY`

Constructor Summary
`Java4()`

Method Summary
`void` | `buildInterfaceTypes(CompileUnit compileUnit, ClassNode classNode, Class c)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Parameter` | `createParameter(Class parameterType, int idx)`
`def` | `createParameters(def types)`
`def` | `getPluginDefaultGroovyMethods()`
`ClassNode` | `getPrimaryClassNode(CompileUnit compileUnit, Class clazz)`
`void` | `setGenericsTypes(ClassNode c)`

Constructor Detail

### Java4

    Java4()

Method Detail

### buildInterfaceTypes

    void buildInterfaceTypes(CompileUnit compileUnit, ClassNode classNode, Class c)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### createParameter

    Parameter createParameter(Class parameterType, int idx)

### createParameters

    def createParameters(def types)

### getPluginDefaultGroovyMethods

    public def getPluginDefaultGroovyMethods()

### getPrimaryClassNode

    ClassNode getPrimaryClassNode(CompileUnit compileUnit, Class clazz)

### setGenericsTypes

    public void setGenericsTypes(ClassNode c)